8086:0a06 [Acer C720] Screen freeze during use of chrome/chromium

Bug #1294391 reported by Ivan Matyunin on 2014-03-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I am using ubuntu 14.04 64-bit. (All my packages were up-to-date as of about 1 week ago.) My hardware is an Acer C720 (Intel graphics). The symptoms of the problem is the display completely stops updating, except the mouse cursor continues to move. Clicking and any keypresses have no effect. The system remains in this state for about 15-60 seconds, then it recovers and goes back to normal.

The problem most commonly happens when using chrome or chromium to do any kind of intesive hardware-accelerated rendering. Typically a youtube video or and HTML5 game with lots of animations. The problem tends to happen during periods of high CPU usage.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8
ProcVersionSignature: Ubuntu 3.13.0-16.36-generic 3.13.5
Uname: Linux 3.13.0-16-generic x86_64
.tmp.unity.support.test.0:

ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CompizPlugins: [core,composite,opengl,compiztoolbox,decor,vpswitch,snap,mousepoll,resize,place,move,wall,grid,regex,imgpng,session,gnomecompat,animation,fade,unitymtgrabhandles,workarounds,scale,expo,ezoom,unityshell]
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Tue Mar 18 18:33:56 2014
DistUpgraded: 2014-03-08 16:40:06,427 DEBUG enabling apt cron job
DistroCodename: trusty
DistroVariant: ubuntu
ExtraDebuggingInterest: Yes
GraphicsCard:
 Intel Corporation Haswell-ULT Integrated Graphics Controller [8086:0a06] (rev 09) (prog-if 00 [VGA controller])
   Subsystem: Acer Incorporated [ALI] Device [1025:0a11]
Lsusb:
 Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 002 Device 007: ID 0489:e056 Foxconn / Hon Hai
 Bus 002 Device 002: ID 1bcf:2c67 Sunplus Innovation Technology Inc.
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: Acer Peppy
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-16-generic root=UUID=cffcb17a-ea52-4a0f-8e04-373de2625201 ro quiet splash add_efi_memmap boot=local noresume noswap i915.modeset=1 tpm_tis.force=1 tpm_tis.interrupts=0 nmi_watchdog=panic,lapic vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: Upgraded to trusty on 2014-03-08 (10 days ago)
dmi.bios.date: 10/29/2013
dmi.bios.vendor: coreboot
dmi.chassis.type: 3
dmi.chassis.vendor: Acer
dmi.modalias: dmi:bvncoreboot:bvr:bd10/29/2013:svnAcer:pnPeppy:pvr1.0:cvnAcer:ct3:cvr:
dmi.product.name: Peppy
dmi.product.version: 1.0
dmi.sys.vendor: Acer
version.compiz: compiz 1:0.9.11+14.04.20140310-0ubuntu1
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.52-1
version.libgl1-mesa-dri: libgl1-mesa-dri 10.1.0-1ubuntu1
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 10.1.0-1ubuntu1
version.xserver-xorg-core: xserver-xorg-core 2:1.15.0-1ubuntu7
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.8.2-1ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.3.0-1ubuntu3
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.99.910-0ubuntu1
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.10-1ubuntu2
xserver.bootTime: Tue Mar 18 14:49:55 2014
xserver.configfile: default
xserver.logfile: /var/log/Xorg.0.log
xserver.outputs:
 product id 4402
 vendor CMN
xserver.version: 2:1.15.0-1ubuntu7

Ivan Matyunin (sibrus-gmail) wrote :
Ivan Matyunin (sibrus-gmail) wrote :

I attached the output of /sys/class/drm/card0/error which was referenced in the dmesg output i saw (gzipped)

Ivan Matyunin, thank you for reporting this and helping make Ubuntu better. Changing to linux (Ubuntu) as per your https://launchpadlibrarian.net/169966539/dmesg.txt :
WARNING: CPU: 0 PID: 3224 at /build/buildd/linux-3.13.0/drivers/gpu/drm/i915/intel_uncore.c:125 gen6_gt_check_fifodbg.isra.9+0x38/0x50 [i915]()

Could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-3.14-rc7

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

summary: - Screen freeze during use of chrome/chromium
+ 8086:0a06 [Acer C720] Screen freeze during use of chrome/chromium
affects: xorg (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
tags: added: bot-stop-nagging
tags: added: needs-upstream-testing regression-potential
Ivan Matyunin (sibrus-gmail) wrote :

Hi Christopher,

I have tested this with the latest upstream kernel per your instructions. I was able to reproduce the same error. Please let me know if there's any other information I can provide or anything else I can do to help.

tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-3.14-rc7
removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Ivan Matyunin, as per your https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1294391/+attachment/4031369/+files/dmesg.txt :
[ 1241.220427] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 1241.220429] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 1241.220431] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 1241.220432] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 1241.220434] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.

Hence, could you please file a new report as noted, and post the URL of your new report?

Ivan Matyunin (sibrus-gmail) wrote :

I have filed a new report. It is here: https://bugs.freedesktop.org/show_bug.cgi?id=76574

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.